## tgt 1.0.57

=== Makefile ===
VERSION ?= 1.0.57

CHECK_CC = cgcc
CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'

# Define a common prefix where binaries and docs install
PREFIX ?= /usr

# Export VERSION and PREFIX so sub-make knows about them
export VERSION PREFIX

# Export the feature switches so sub-make knows about them
export ISCSI_RDMA
export CEPH_RBD
export GLFS_BD
export SD_NOTIFY

.PHONY: all
all: programs doc conf scripts

# Targets for the /usr/sbin utilities
.PHONY: programs install-programs clean-programs
programs:
	$(MAKE) -C usr

install-programs:
	$(MAKE) -C usr install

clean-programs:
	$(MAKE) -C usr clean

# Targets for man pages and other documentation
.PHONY: doc install-doc clean-doc
doc:
	$(MAKE) -C doc

install-doc:
	$(MAKE) -C doc install

clean-doc:
	$(MAKE) -C doc clean

# Targets for scripts
.PHONY: scripts install-scripts clean-scripts
scripts:
	$(MAKE) -C scripts

install-scripts:
	$(MAKE) -C scripts install

clean-scripts:
	$(MAKE) -C scripts clean


# Targets for configuration stubs
.PHONY: conf install-conf clean-conf
conf:
	$(MAKE) -C conf

install-conf:
	$(MAKE) -C conf install

clean-conf:
	$(MAKE) -C conf clean

.PHONY: install
install: install-programs install-doc install-conf install-scripts

.PHONY: rpm
rpm:
	@./scripts/build-pkg.sh rpm

.PHONY: deb
deb:
	@./scripts/build-pkg.sh deb

.PHONY: clean
clean-pkg:
	rm -fr pkg

.PHONY: clean
clean: clean-programs clean-doc clean-conf clean-scripts clean-pkg

.PHONY:check
check: ARCH=$(shell sh script/checkarch.sh)
check:
	CC=$(CHECK_CC_FLAGS) $(MAKE) all

.PHONY:check32
check32: override ARCH=-m32
check32:
	CC=$(CHECK_CC_FLAGS) $(MAKE) all

.PHONY:check64
check64: override ARCH=-m64
check64:
	CC=$(CHECK_CC_FLAGS) $(MAKE) all

cscope:
	find -name '*.[ch]' > cscope.files
	cscope -bq

=== debian/changelog ===
tgt (1:1.0.57-1ubuntu2) wily; urgency=medium

  * debian/tgt.service: remove spaces between key, = and value for WantedBy,
    since it appears to confuse deb-systemd-helper.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 06 Jul 2015 21:21:58 -0400

tgt (1:1.0.57-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop glusterfs support, since it is not in main.
    - debian/patches/fix-config-regression.patch: Dropped no longer
      needed.
    - debian/patches/fix_delayed_management_request.patch: Dropped
      no longer needed.
    - debian/patches/fix_leak_of_task_in_scsi_flag.patch: Dropped
      no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 07 May 2015 09:29:12 -0400

tgt (1:1.0.57-1) unstable; urgency=medium

  * New upstream version:
    + iser: fix tasks leak with all its resource.
    + Set ExpCmdSn and MaxCmdSn in ISCSI_OP_R2T.
  * Drop link-against-libsystemd.patch, merged upstream.
  * d/copyright: bump debian/ copyright years.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 29 Apr 2015 11:53:21 +0300

=== debian/control ===
Source: tgt
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16),
               xsltproc, docbook-xsl, dh-systemd (>= 1.5), librbd-dev,
               bash-completion, libsystemd-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/tgt.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
Standards-Version: 3.9.6
Homepage: http://stgt.sourceforge.net/
XS-Testsuite: autopkgtest

Package: tgt
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, libconfig-general-perl, sg3-utils
Suggests: tgt-rbd
Description: Linux SCSI target user-space daemon and tools
 The Linux target framework (tgt) allows a Linux system to provide SCSI
 devices (targets) over networked SCSI transports.
 .
 tgt consists of a user-space daemon and user-space tools currently
 supporting the following transports:
 .
  - iSCSI (SCSI over IP)
  - iSER (iSCSI over RDMA, using Infiniband)
 .
 tgt also supports different storage types for use as backing stores for SCSI
 Logical Units:
 .
  - Plain files and block devices
  - Ceph/RADOS RBD volumes
  - GlusterFS volumes
 .
 This package includes the daemon and user-space tools.

Package: tgt-rbd
Architecture: linux-any
Depends: tgt (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Linux SCSI target user-space daemon and tools - RBD support
 The Linux target framework (tgt) allows a Linux system to provide SCSI
 devices (targets) over networked SCSI transports.
 .
 tgt consists of a user-space daemon and user-space tools currently
 supporting the following transports:
 .
  - iSCSI (SCSI over IP)
  - iSER (iSCSI over RDMA, using Infiniband)
 .
 tgt also supports different storage types for use as backing stores for SCSI
 Logical Units:
 .
  - Plain files and block devices
  - Ceph/RADOS RBD volumes
  - GlusterFS volumes
 .
 This package enables tgt to use Ceph/RADOS block devices (RBD) as backing
 store for SCSI Logical Units.

Package: tgt-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: tgt (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Linux SCSI target user-space daemon and tools - debug symbols
 The Linux target framework (tgt) allows a Linux system to provide SCSI
 devices (targets) over networked SCSI transports.
 .
 tgt consists of a user-space daemon and user-space tools currently
 supporting the following transports:
 .
  - iSCSI (SCSI over IP)
  - iSER (iSCSI over RDMA, using Infiniband)
 .
 tgt also supports different storage types for use as backing stores for SCSI
 Logical Units:
 .
  - Plain files and block devices
  - Ceph/RADOS RBD volumes
  - GlusterFS volumes
 .
 This package contains symbols used for debugging tgt.

=== debian/watch ===
version=3
<<<<<<< tgt-1:1.0.43-0ubuntu4 (ubuntu)
https://github.com/fujita/tgt/tags .*/v(.*).tar.gz
=======
https://github.com/fujita/tgt/tags .*/archive/v([\d.]+)\.tar\.gz
>>>>>>> tgt-1:1.0.57-1 (debian)

## tgt 1.0.63

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.57
+VERSION ?= 1.0.63
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'
@@ -82,7 +82,7 @@
 clean: clean-programs clean-doc clean-conf clean-scripts clean-pkg
 
 .PHONY:check
-check: ARCH=$(shell sh script/checkarch.sh)
+check: ARCH=$(shell sh scripts/checkarch.sh)
 check:
 	CC=$(CHECK_CC_FLAGS) $(MAKE) all

=== doc/Makefile ===
mandir ?= $(PREFIX)/share/man
docdir ?= $(PREFIX)/share/doc/tgt

MANPAGES = manpages/tgtadm.8 manpages/tgt-admin.8 manpages/tgtimg.8 \
		manpages/tgt-setup-lun.8 manpages/tgtd.8

DOCS = README.iscsi README.iser \
	    README.lu_configuration README.mmc tmf.txt \
	    README.rbd

XSLTPROC = /usr/bin/xsltproc
XMLMAN = manpages/tgtd.8 manpages/tgtadm.8 manpages/tgtimg.8 \
		manpages/tgt-admin.8 manpages/targets.conf.5 \
		manpages/tgt-setup-lun.8
XMLHTML = htmlpages/tgtd.8.html htmlpages/tgtadm.8.html \
		htmlpages/tgtimg.8.html htmlpages/tgt-admin.8.html \
		htmlpages/targets.conf.5.html htmlpages/tgt-setup-lun.8.html

.PHONY:all
all: xmlman xmlhtml

.PHONY: install
install: $(MANPAGES) $(DOCS)
	install -d -m 755 $(DESTDIR)$(mandir)/man8
	install -m 644 $(MANPAGES) $(DESTDIR)$(mandir)/man8
	install -d -m 755 $(DESTDIR)$(docdir)
	install -m 644 $(DOCS) $(DESTDIR)$(docdir)
	install -d -m 755 $(DESTDIR)$(docdir)/html
	install -m 644 $(XMLHTML) $(DESTDIR)$(docdir)/html

.PHONY: clean
clean:
	rm -f $(XMLMAN) $(XMLHTML)
	-rm -f manpages htmlpages

manpages/tgtd.8: tgtd.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

htmlpages/tgtd.8.html: tgtd.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $<

manpages/tgtadm.8: tgtadm.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

htmlpages/tgtadm.8.html: tgtadm.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $<

manpages/tgt-admin.8: tgt-admin.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

htmlpages/tgt-admin.8.html: tgt-admin.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $<

manpages/tgtimg.8: tgtimg.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

htmlpages/tgtimg.8.html: tgtimg.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $<

manpages/targets.conf.5: targets.conf.5.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

htmlpages/targets.conf.5.html: targets.conf.5.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $<

manpages/tgt-setup-lun.8: tgt-setup-lun.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

htmlpages/tgt-setup-lun.8.html: tgt-setup-lun.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $<

xmlman: $(XMLMAN)

xmlhtml: $(XMLHTML)

=== usr/Makefile ===
sbindir ?= $(PREFIX)/sbin
libdir ?= $(PREFIX)/lib/tgt

ifneq ($(shell test -e /usr/include/linux/signalfd.h && echo 1),)
CFLAGS += -DUSE_SIGNALFD
endif

ifneq ($(shell test -e /usr/include/sys/timerfd.h && echo 1),)
CFLAGS += -DUSE_TIMERFD
endif

TGTD_OBJS += $(addprefix iscsi/, conn.o param.o session.o \
		iscsid.o target.o chap.o sha1.o md5.o transport.o iscsi_tcp.o \
		isns.o)

ifneq ($(CEPH_RBD),)
MODULES += bs_rbd.so
endif

ifneq ($(GLFS_BD),)
MODULES += bs_glfs.so
endif

ifneq ($(SD_NOTIFY),)
CFLAGS += -DUSE_SYSTEMD
endif

ifneq ($(shell test -e /usr/include/sys/eventfd.h && test -e /usr/include/libaio.h && echo 1),)
CFLAGS += -DUSE_EVENTFD
TGTD_OBJS += bs_aio.o
LIBS += -laio
endif

ifneq ($(ISCSI_RDMA),)
TGTD_OBJS += iscsi/iser.o iscsi/iser_text.o
LIBS += -libverbs -lrdmacm
endif

INCLUDES += -I.

CFLAGS += -D_GNU_SOURCE
CFLAGS += $(INCLUDES)
ifneq ($(DEBUG),)
CFLAGS += -g -O0 -ggdb -rdynamic
else
CFLAGS += -g -O2 -fno-strict-aliasing
endif
CFLAGS += -Wall -Wstrict-prototypes -fPIC
CFLAGS += -DTGT_VERSION=\"$(VERSION)$(EXTRAVERSION)\"
CFLAGS += -DBSDIR=\"$(DESTDIR)$(libdir)/backing-store\"

LIBS += -lpthread -ldl

ifneq ($(SD_NOTIFY),)
LIBS += -lsystemd
endif

PROGRAMS += tgtd tgtadm tgtimg
TGTD_OBJS += tgtd.o mgmt.o target.o scsi.o log.o driver.o util.o work.o \
		concat_buf.o parser.o spc.o sbc.o mmc.o osd.o scc.o smc.o \
		ssc.o libssc.o bs_rdwr.o bs_ssc.o \
		bs_null.o bs_sg.o bs.o libcrc32c.o bs_sheepdog.o

TGTD_DEP = $(TGTD_OBJS:.o=.d)

LDFLAGS = -Wl,-E,-rpath=$(libdir)

.PHONY:all
all: $(PROGRAMS) $(MODULES)

tgtd: $(TGTD_OBJS)
	echo $(CC) $^ -o $@ $(LIBS)
	$(CC) $^ -o $@ $(LDFLAGS) $(LIBS)

-include $(TGTD_DEP)

TGTADM_OBJS = tgtadm.o concat_buf.o
TGTADM_DEP = $(TGTADM_OBJS:.o=.d)

tgtadm: $(TGTADM_OBJS)
	$(CC) $^ -o $@

-include $(TGTADM_DEP)

TGTIMG_OBJS = tgtimg.o libssc.o libcrc32c.o
TGTIMG_DEP = $(TGTIMG_OBJS:.o=.d)

tgtimg: $(TGTIMG_OBJS)
	$(CC) $^ -o $@

-include $(TGTIMG_DEP)

%.o: %.c
	$(CC) -c $(CFLAGS) $*.c -o $*.o
	@$(CC) -MM $(CFLAGS) -MF $*.d -MT $*.o $*.c

%.so: %.c
	$(CC) -shared $(CFLAGS) $*.c -o $*.so

bs_rbd.so: bs_rbd.c
	$(CC) -shared $(CFLAGS) bs_rbd.c -o bs_rbd.so -lrados -lrbd

bs_glfs.so: bs_glfs.c
	$(CC) -I/usr/include/glusterfs/api -shared $(CFLAGS) bs_glfs.c -o bs_glfs.so -lgfapi

.PHONY: install
install: $(PROGRAMS) $(MODULES)
	install -d -m 755 $(DESTDIR)$(sbindir)
	install -m 755 $(PROGRAMS) $(DESTDIR)$(sbindir)
ifneq ($(MODULES),)
	install -d -m 755 $(DESTDIR)$(libdir)/backing-store
	install -m 755 $(MODULES) $(DESTDIR)$(libdir)/backing-store
endif

.PHONY: clean
clean:
	rm -f *.[od] *.so $(PROGRAMS) iscsi/*.[od] ibmvio/*.[od] fc/*.[od]

=== debian/changelog ===
tgt (1:1.0.63-1ubuntu1) xenial; urgency=medium

  * Merge from Debian (LP: #1555700). Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control
      - debian/rules
      - debian/tests/{admin, control, daemon, storage}
      - debian/tgt-glusterfs.install (Deleted)
    - Disable AIO backend support: untested new feature
      - debian/control
      - debian/tests/storage
  * Dropped changes
    - debian/patches/tgtd_dont_fail_on_eacces.patch: included in new release

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 09 Mar 2016 16:51:44 -0600

tgt (1:1.0.63-1) unstable; urgency=medium

  * New upstream release:
    + Do not fail on EACCESS on oom_adjust; tgtd can now run in a different
      user namespace (Closes: #813368).
  * d/control: Use HTTPS URLs for Vcs-* fields.
  * d/tests: Check for aio support (alongside rbd and glusterfs).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 07 Feb 2016 03:23:45 +0200

tgt (1:1.0.62-2) unstable; urgency=medium

  * Enable aio support, thanks to Harald Dunkel! (Closes: #811404)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 19 Jan 2016 11:22:35 +0200

tgt (1:1.0.62-1ubuntu2) xenial; urgency=medium

  * debian/patches/tgtd_dont_fail_on_eacces.patch
    tgtd: fix root-under-userns errors when attempting oom_score_adj
    (Closes: LP:#1518440)

 -- Ryan Harper <ryan.harper@canonical.com>  Mon, 01 Feb 2016 02:18:57 -0600

tgt (1:1.0.62-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1524982, LP: #1518440).  Remaining
    changes:
    - Drop glusterfs support, since it is not in main.
  * debian/upstart:
    - Dropped, we no longer use upstart (except on Touch, where tgt
      isn't used).  Isn't worth a delta.
  * debian/watch:
    - Drop merge conflict markers accidentally left in.
  * debian/tests/*:
    - Drop delta with Debian here, they imported our tests and improved
      them a while back.
  * debian/tgt.service:
    - Drop delta here, Debian made the same change.
  * debian/bash-completion:
    - Dropped, Debian has the same thing, just as tgt.bash-completion.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 21 Dec 2015 14:20:23 -0500

tgt (1:1.0.62-1) unstable; urgency=medium

  * New upstream version.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 10 Dec 2015 23:44:42 +0200

tgt (1:1.0.61-1) unstable; urgency=medium

  * New upstream version:
    + Fix crash when looking up removed targets
  * Fix the `modules' DEP-8 test
  * Allow stderr output in DEP-8 tests

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 03 Nov 2015 09:12:10 +0200

tgt (1:1.0.60-1) unstable; urgency=medium

  * New upstream version:

    Changes in 1.0.59:
     + iser: Clear tasks free list when closing the connection
     + iser: Fix wrong access to the session discovery mode
     + sheepdog: fix to update data_vdi_id after writing data object

    Changes in 1.0.60:
     + usr/libssc: Include fcntl.h for loff_t
     + Correct the location of checkarch.sh in Makefile

   * tgt.service: strip whitespace around equals signs.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 10 Jul 2015 14:14:49 +0300

tgt (1:1.0.58-1) unstable; urgency=medium

  * New upstream version:
    + bs_aio: fix failure handling
    + sheepdog: fine grained locking in write path
    + mgmt: Create ipc socket parent dir if does not exists
    + iser: Fix memory leak of addrinfo struct
    + tgtd.c: allow oom adjust failures for non-root users
    + mgmt: change ipc socket address
    + mgmt.c: check that the connecting user is the same as the user tgtd
      runs as
    + Allow overriding the IPC socket path via TGT_IPC_SOCKET
  * d/control: remove XS-Testsuite and rely on dpkg (>= 1.17.11) to fill it in
    automatically

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 26 May 2015 12:35:44 +0300

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16),
                xsltproc, docbook-xsl, dh-systemd (>= 1.5), librbd-dev,
                bash-completion, libsystemd-dev
-Vcs-Git: git://anonscm.debian.org/collab-maint/tgt.git
-Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tgt.git
+Vcs-Browser: https://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
 Standards-Version: 3.9.6
 Homepage: http://stgt.sourceforge.net/
-XS-Testsuite: autopkgtest
 
 Package: tgt
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

FEATURES = ISCSI_RDMA=1 CEPH_RBD=1 SD_NOTIFY=1

%:
	dh $@ --parallel --with systemd,bash-completion

override_dh_auto_build:
	$(MAKE) $(FEATURES)

override_dh_auto_install:
	$(MAKE) $(FEATURES) DESTDIR=$(CURDIR)/debian/tgt install

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/tgt/usr/lib

override_dh_strip:
	dh_strip --dbg-package=tgt-dbg

.PHONY: override_dh_auto_build override_dh_auto_install \
	override_dh_installinit override_dh_install \
	override_dh_strip

=== debian/tests/control ===
Tests: daemon admin
Depends: tgt

Tests: storage
Depends: tgt, tgt-rbd
Restrictions: needs-root isolation-container allow-stderr

## tgt 1.0.67

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.63
+VERSION ?= 1.0.67
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'

## tgt 1.0.69

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.67
+VERSION ?= 1.0.69
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'

=== debian/changelog ===
tgt (1:1.0.69-1) unstable; urgency=medium

  * New upstream release:
    + Validate the DataOut length in WRITE_SAME_1*
    + WRITE_SAME_* TL==0 means all blocks from LBA until the end of device
    + sheepdog: reject snapshot as a LUN to avoid deleting working VDI

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 11 Nov 2016 10:27:04 +0200

tgt (1:1.0.68-1) unstable; urgency=medium

  * New upstream release:
    + Sheepdog-related fixes.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 01 Nov 2016 01:05:03 +0200

tgt (1:1.0.67-1) unstable; urgency=medium

  * New upstream release:
    + Reject target names with invalid characters
    + Disable NOP-IN and adjust state for closed connections
  * Refresh fix-pie-build patch

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 07 Sep 2016 15:13:30 +0300

tgt (1:1.0.66-1) unstable; urgency=medium

  * New upstream release:
    + Fix iscsi-tcp unsolicited NOP-IN (ping) task leak
    + Call tgt_event_del before closing the eventfd
    + iscsi: fix segfault at conn_close
    + iser: fix segfault when not passing options to iser param
    + tgt-setup-lun: fix error when blocksize not given
    + Fix accepting invalid block size
    + Update tgt-setup-lun for AF 4K disks.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 14 Aug 2016 13:52:35 +0300

tgt (1:1.0.65-1) unstable; urgency=medium

  * New upstream release:
    + Fix a memory leak on allocation failure.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 03 Jun 2016 19:09:41 +0300

tgt (1:1.0.64-1) unstable; urgency=medium

  * New upstream release:
    + Enable tgt-admin to bring up Gluster backing stores
    + Fix argument conversion for command line options with integer arguments
      (closes: #822160)
    + timerfd support fixes
  * Bump standards version to 3.9.8; no changes needed
  * Enable all hardening flags
    + Add d/patches/fix-pie-build to patch upstream's Makefile to allow -fPIE
      builds

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 24 May 2016 12:04:40 +0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: tgt
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
+Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16),
                xsltproc, docbook-xsl, dh-systemd (>= 1.5), librbd-dev,
-               bash-completion, libsystemd-dev
+               glusterfs-common, bash-completion, libsystemd-dev, libaio-dev
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tgt.git
 Vcs-Browser: https://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://stgt.sourceforge.net/
 
 Package: tgt
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, libconfig-general-perl, sg3-utils
-Suggests: tgt-rbd
+Suggests: tgt-glusterfs, tgt-rbd
 Description: Linux SCSI target user-space daemon and tools
  The Linux target framework (tgt) allows a Linux system to provide SCSI
  devices (targets) over networked SCSI transports.
@@ -57,6 +56,29 @@
  This package enables tgt to use Ceph/RADOS block devices (RBD) as backing
  store for SCSI Logical Units.
 
+Package: tgt-glusterfs
+Architecture: linux-any
+Depends: tgt (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Linux SCSI target user-space daemon and tools - GlusterFS support
+ The Linux target framework (tgt) allows a Linux system to provide SCSI
+ devices (targets) over networked SCSI transports.
+ .
+ tgt consists of a user-space daemon and user-space tools currently
+ supporting the following transports:
+ .
+  - iSCSI (SCSI over IP)
+  - iSER (iSCSI over RDMA, using Infiniband)
+ .
+ tgt also supports different storage types for use as backing stores for SCSI
+ Logical Units:
+ .
+  - Plain files and block devices
+  - Ceph/RADOS RBD volumes
+  - GlusterFS volumes
+ .
+ This package enables tgt to use GlusterFS volumes as backing store for SCSI
+ Logical Units.
+
 Package: tgt-dbg
 Architecture: linux-any
 Section: debug

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-FEATURES = ISCSI_RDMA=1 CEPH_RBD=1 SD_NOTIFY=1
+FEATURES = ISCSI_RDMA=1 CEPH_RBD=1 GLFS_BD=1 SD_NOTIFY=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --parallel --with systemd,bash-completion

=== debian/tests/control ===
Tests: daemon admin
Depends: tgt

Tests: storage
Depends: tgt, tgt-rbd, tgt-glusterfs
Restrictions: needs-root isolation-container allow-stderr

## tgt 1.0.71

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.69
+VERSION ?= 1.0.71
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'

=== debian/changelog ===
tgt (1:1.0.71-1ubuntu2) artful; urgency=medium

  * Fix FTBFS with gcc7 by backporting upstream patches (LP: #1723055)
    - d/p/GCC-FTBFS-1-Fix-header-warning-with-GCC-7-for-major.patch
    - d/p/GCC-FTBFS-2-Remove-incorrect-size-specifier-in-spc_lu_init.patch
    - d/p/GCC-FTBFS-3-smc-fix-snprintf-warnings-with-gcc7.patch
    - Those patches are unchanged from upstream and make tgt effectively
      almost 1.0.72, so on that merge they can be dropped.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Oct 2017 14:55:37 +0200

tgt (1:1.0.71-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control: drop build depends and package
      - debian/rules: disable feature
      - debian/tests/{control, storage}: remove related tests
      - debian/tgt-glusterfs.install (Deleted)
  * Dropped changes (in Debian now):
    - fix tgt being killed when serving many targets (LP 1559088)
    - d/t/localtgt, d/t/control: add dep8 test that sets up targets and luns
      via iscsi using rdwr/aio backends and runs fio read/write/verify
      (LP 1640785)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Sun, 09 Jul 2017 14:48:45 +0200

tgt (1:1.0.71-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * fix tgt being killed when serving many targets (LP: #1559088)
  * d/t/localtgt, d/t/control: add dep8 test that sets up targets and luns via
    iscsi using rdwr/aio backends and runs fio read/write/verify
    (LP: #1640785)

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.0.71 (Closes: #864237)
  * Merge delta from Ubuntu (Closes: #845298)
  * Refresh patches
  * Bump Standards to 4.0.0; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 04 Jul 2017 22:09:50 +0300

tgt (1:1.0.69-1ubuntu1) zesty; urgency=medium

  * Merge from Debian. Remaining changes:
   - Drop glusterfs support, package not in main.
     - debian/control
     - debian/rules
     - debian/tests/{control, storage}
     - debian/tgt-glusterfs.install (Deleted)
   - fix tgt being killed when serving many targets
   - d/t/localtgt, d/t/control: add dep8 test that sets up targets and luns via
     iscsi using rdwr/aio backends and runs fio read/write/verify

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 25 Jan 2017 11:25:55 +0100

tgt (1:1.0.67-1ubuntu1) zesty; urgency=medium

  * Merge from Debian. Remaining changes:
   - Drop glusterfs support, package not in main.
     - debian/control
     - debian/rules
     - debian/tests/{control, storage}
     - debian/tgt-glusterfs.install (Deleted)
  * Drop changes:
   - debian/patches/util_strtoull_errno.patch by Stas Sergeev (now upstream)
   - Disable AIO backend support. This was done to reduce risk in a previous
     feature freeze; Now that we are before Zesty's feature freeze, we
     can introduce it this cycle.
   - changing file modes of debian/tests/{admin, daemon} (missing in
     changelog, not needed)
  * Add changes:
   - fix tgt being killed when serving many targets (LP: #1559088)
   - d/t/localtgt, d/t/control: add dep8 test that sets up targets and luns via
     iscsi using rdwr/aio backends and runs fio read/write/verify (LP: #1640785)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 10 Nov 2016 10:35:15 +0100

tgt (1:1.0.63-1ubuntu2) yakkety; urgency=medium

  * debian/patches/util_strtoull_errno.patch by Stas Sergeev
    - Fix errno handling for number * parsing (LP: #1547060)

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 21 Apr 2016 09:13:09 -0500

## tgt 1.0.72

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.71
+VERSION ?= 1.0.72
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'

=== debian/changelog ===
tgt (1:1.0.72-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control: drop build depends and package
      - debian/rules: disable feature
      - debian/tests/{control, storage}: remove related tests
      - debian/tgt-glusterfs.install (Deleted)
  * Dropped changes (in new upstream version)
    - Fix FTBFS with gcc7 by backporting upstream patches (LP 1723055)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 16 Nov 2017 10:28:25 +0100

tgt (1:1.0.72-1) unstable; urgency=medium

  * New upstream version (closes: #853680)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 02 Aug 2017 20:12:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: tgt
 Section: net
 Priority: optional
-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16),
                xsltproc, docbook-xsl, dh-systemd (>= 1.5), librbd-dev,
-               glusterfs-common, bash-completion, libsystemd-dev, libaio-dev
+               bash-completion, libsystemd-dev, libaio-dev
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tgt.git
 Vcs-Browser: https://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://stgt.sourceforge.net/
 
 Package: tgt
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, libconfig-general-perl, sg3-utils
-Suggests: tgt-glusterfs, tgt-rbd
+Suggests: tgt-rbd
 Description: Linux SCSI target user-space daemon and tools
  The Linux target framework (tgt) allows a Linux system to provide SCSI
  devices (targets) over networked SCSI transports.
@@ -56,29 +57,6 @@
  This package enables tgt to use Ceph/RADOS block devices (RBD) as backing
  store for SCSI Logical Units.
 
-Package: tgt-glusterfs
-Architecture: linux-any
-Depends: tgt (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: Linux SCSI target user-space daemon and tools - GlusterFS support
- The Linux target framework (tgt) allows a Linux system to provide SCSI
- devices (targets) over networked SCSI transports.
- .
- tgt consists of a user-space daemon and user-space tools currently
- supporting the following transports:
- .
-  - iSCSI (SCSI over IP)
-  - iSER (iSCSI over RDMA, using Infiniband)
- .
- tgt also supports different storage types for use as backing stores for SCSI
- Logical Units:
- .
-  - Plain files and block devices
-  - Ceph/RADOS RBD volumes
-  - GlusterFS volumes
- .
- This package enables tgt to use GlusterFS volumes as backing store for SCSI
- Logical Units.
-
 Package: tgt-dbg
 Architecture: linux-any
 Section: debug

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-FEATURES = ISCSI_RDMA=1 CEPH_RBD=1 GLFS_BD=1 SD_NOTIFY=1
+FEATURES = ISCSI_RDMA=1 CEPH_RBD=1 SD_NOTIFY=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## tgt 1.0.73

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.72
+VERSION ?= 1.0.73
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'

=== debian/changelog ===
tgt (1:1.0.73-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control: drop build depends and package
      - debian/rules: disable feature
      - debian/tests/{control, storage}: remove related tests
      - debian/tgt-glusterfs.install (Deleted)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 May 2018 11:45:12 +0200

tgt (1:1.0.73-1) unstable; urgency=medium

  * New upstream version 1.0.73
  * Bump dh compat to 11:
     + Override dh_installsystemd to add --no-restart-on-upgrade
     + Remove --with=systemd and drop B-D on dh-systemd
     + Remove --parallel from dh, now enabled by default
  * Bump Standards-Version to 4.1.3; no changes needed
  * Migrate tgt-dbg to dbgsym

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 06 Mar 2018 00:12:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16),
-               xsltproc, docbook-xsl, dh-systemd (>= 1.5), librbd-dev,
+Build-Depends: debhelper (>= 11~), libibverbs-dev, librdmacm-dev (>= 1.0.16),
+               xsltproc, docbook-xsl, librbd-dev,
                bash-completion, libsystemd-dev, libaio-dev
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tgt.git
 Vcs-Browser: https://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://stgt.sourceforge.net/
 
 Package: tgt
@@ -56,27 +56,3 @@
  .
  This package enables tgt to use Ceph/RADOS block devices (RBD) as backing
  store for SCSI Logical Units.
-
-Package: tgt-dbg
-Architecture: linux-any
-Section: debug
-Priority: extra
-Depends: tgt (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: Linux SCSI target user-space daemon and tools - debug symbols
- The Linux target framework (tgt) allows a Linux system to provide SCSI
- devices (targets) over networked SCSI transports.
- .
- tgt consists of a user-space daemon and user-space tools currently
- supporting the following transports:
- .
-  - iSCSI (SCSI over IP)
-  - iSER (iSCSI over RDMA, using Infiniband)
- .
- tgt also supports different storage types for use as backing stores for SCSI
- Logical Units:
- .
-  - Plain files and block devices
-  - Ceph/RADOS RBD volumes
-  - GlusterFS volumes
- .
- This package contains symbols used for debugging tgt.

## tgt 1.0.74

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.73
+VERSION ?= 1.0.74
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'

=== debian/changelog ===
tgt (1:1.0.74-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1810736). Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control: drop build depends and package
      - debian/rules: disable feature
      - debian/tests/{control, storage}: remove related tests
      - debian/tgt-glusterfs.install (Deleted)

 -- Karl Stenerud <kstenerud@gmail.com>  Mon, 07 Jan 2019 13:52:58 +0100

tgt (1:1.0.74-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.0.74
  * Bump Standards-Version to 4.2.1; no changes needed
  * d/copyright: bump debian/ years
  * d/copyright: fix public domain license and filename typo

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 08 Dec 2018 22:30:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 11~), libibverbs-dev, librdmacm-dev (>= 1.0.16),
                xsltproc, docbook-xsl, librbd-dev,
                bash-completion, libsystemd-dev, libaio-dev
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tgt.git
-Vcs-Browser: https://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
-Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/tgt.git
+Vcs-Browser: https://salsa.debian.org/debian/tgt
+Standards-Version: 4.2.1
 Homepage: http://stgt.sourceforge.net/
 
 Package: tgt

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel --with systemd,bash-completion
+	dh $@ --with bash-completion
 
 override_dh_auto_build:
 	$(MAKE) $(FEATURES)
@@ -17,13 +17,16 @@
 override_dh_installinit:
 	dh_installinit --no-restart-on-upgrade
 
+override_dh_installsystemd:
+	dh_installsystemd --no-restart-on-upgrade
+
 override_dh_install:
 	dh_install
 	rm -rf $(CURDIR)/debian/tgt/usr/lib
 
 override_dh_strip:
-	dh_strip --dbg-package=tgt-dbg
+	dh_strip --dbgsym-migration='tgt-dbg (<< 1:1.0.73-1~)'
 
 .PHONY: override_dh_auto_build override_dh_auto_install \
 	override_dh_installinit override_dh_install \
-	override_dh_strip
+	override_dh_strip override_dh_installsystemd

## tgt 1.0.79

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.74
+VERSION ?= 1.0.79
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'

=== debian/changelog ===
tgt (1:1.0.79-3ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      + debian/control: drop build depends and package
      + debian/rules: disable feature
      + debian/tests/{control, storage}: remove related tests
      + debian/tgt-glusterfs.install (Deleted)
  * Add changes:
    - d/rules: avoid FTFBS on s390x due to glibc 2.32 triggering more
      gcc-10 errors on tgt build

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 Sep 2020 13:30:55 +0200

tgt (1:1.0.79-3) unstable; urgency=medium

  * Fix FTBFS with GCC 10 (Closes: #957874)
  * Bump Standards-Version to 4.5.0; no changes needed
  * Bump debhelper-compat to 13; no changes needed
  * d/copyright: bump debian/ years

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 17 Sep 2020 12:38:22 +0300

tgt (1:1.0.79-2ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      + debian/control: drop build depends and package
      + debian/rules: disable feature
      + debian/tests/{control, storage}: remove related tests
      + debian/tgt-glusterfs.install (Deleted)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 31 Jul 2019 16:25:34 -0300

tgt (1:1.0.79-2) unstable; urgency=medium

  * Allow env to override pkg-config.
    Thanks to Helmut Grohne (Closes: #932669)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 21 Jul 2019 17:11:45 -0300

tgt (1:1.0.79-1) unstable; urgency=medium

  * New upstream version 1.0.79 (Closes: #925839)
  * Refresh patches and convert d/patches to gbp-pq layout
  * Bump Standards-Version to 4.4.0; no changes needed
  * Bump dh compat level to 12.
    + Add Pre-Depends: ${misc:Pre-Depends} to allow dh to inject the
      init-system-helpers pre-dependency
  * B-D on libglusterfs-dev instead of glusterfs-common (Closes: #919666)
  * d/rules: call dh_auto_build instead of make.
    Thanks to Helmut Grohne (Closes: #919771)
  * Fix build with GlusterFS 6

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 17 Jul 2019 13:19:03 -0300

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 11~), libibverbs-dev, librdmacm-dev (>= 1.0.16),
-               xsltproc, docbook-xsl, librbd-dev,
-               bash-completion, libsystemd-dev, libaio-dev
+Build-Depends: debhelper-compat (= 13), libibverbs-dev, librdmacm-dev (>= 1.0.16),
+	       xsltproc, docbook-xsl, librbd-dev, uuid-dev,
+               bash-completion, libsystemd-dev, libaio-dev, pkg-config
 Vcs-Git: https://salsa.debian.org/debian/tgt.git
 Vcs-Browser: https://salsa.debian.org/debian/tgt
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: http://stgt.sourceforge.net/
 
 Package: tgt
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, libconfig-general-perl, sg3-utils
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: tgt-rbd
 Description: Linux SCSI target user-space daemon and tools
  The Linux target framework (tgt) allows a Linux system to provide SCSI

=== debian/rules ===
--- 
+++ 
@@ -4,21 +4,24 @@
 FEATURES = ISCSI_RDMA=1 CEPH_RBD=1 SD_NOTIFY=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# avoid FTFBS due to glibc 2.32 triggering more gcc-10 errors
+# in the usage of its functions by tgt
+export DEB_CFLAGS_MAINT_APPEND = -Wno-maybe-uninitialized -Wno-stringop-truncation
 
 %:
 	dh $@ --with bash-completion
 
 override_dh_auto_build:
-	$(MAKE) $(FEATURES)
+	dh_auto_build -- $(FEATURES)
 
 override_dh_auto_install:
 	$(MAKE) $(FEATURES) DESTDIR=$(CURDIR)/debian/tgt install
 
 override_dh_installinit:
-	dh_installinit --no-restart-on-upgrade
+	dh_installinit --no-stop-on-upgrade
 
 override_dh_installsystemd:
-	dh_installsystemd --no-restart-on-upgrade
+	dh_installsystemd --no-stop-on-upgrade
 
 override_dh_install:
 	dh_install

## tgt 1.0.80

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.79
+VERSION ?= 1.0.80
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'

=== conf/Makefile ===
sysconfdir ?= /etc

EXAMPLES = targets.conf.example targets.conf.vtl.L700 targets.conf.vtl.MSL2024

.PHONY: all
all:

.PHONY: install
install:
	install -d -m 755 $(DESTDIR)$(sysconfdir)/tgt
	if [ ! -f $(DESTDIR)$(sysconfdir)/tgt/targets.conf ] ; then \
		install -m 644 targets.conf $(DESTDIR)$(sysconfdir)/tgt ; \
	fi
	install -d -m 755 $(DESTDIR)$(sysconfdir)/tgt/examples
	for f in $(EXAMPLES) ; do \
		install -m 644 examples/$$f $(DESTDIR)$(sysconfdir)/tgt/examples ;\
	done
	install -d $(DESTDIR)$(sysconfdir)/tgt/conf.d

.PHONY: clean
clean:

=== doc/Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 docdir ?= $(PREFIX)/share/doc/tgt
 
 MANPAGES = manpages/tgtadm.8 manpages/tgt-admin.8 manpages/tgtimg.8 \
-		manpages/tgt-setup-lun.8 manpages/tgtd.8
+		manpages/tgt-setup-lun.8 manpages/tgtd.8 \
+		manpages/targets.conf.5
 
 DOCS = README.iscsi README.iser \
 	    README.lu_configuration README.mmc tmf.txt \
@@ -21,8 +22,9 @@
 
 .PHONY: install
 install: $(MANPAGES) $(DOCS)
-	install -d -m 755 $(DESTDIR)$(mandir)/man8
-	install -m 644 $(MANPAGES) $(DESTDIR)$(mandir)/man8
+	install -d -m 755 $(DESTDIR)$(mandir)/man8 $(DESTDIR)$(mandir)/man5
+	install -m 644 $(filter %.8,$(MANPAGES)) $(DESTDIR)$(mandir)/man8
+	install -m 644 $(filter %.5,$(MANPAGES)) $(DESTDIR)$(mandir)/man5
 	install -d -m 755 $(DESTDIR)$(docdir)
 	install -m 644 $(DOCS) $(DESTDIR)$(docdir)
 	install -d -m 755 $(DESTDIR)$(docdir)/html

=== usr/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CFLAGS += -DUSE_SIGNALFD
 endif
 
-ifneq ($(shell test -e /usr/include/sys/timerfd.h && echo 1),)
+ifneq ($(shell test -n $(shell find /usr/include -name "timerfd.h" | head -n1) && echo 1),)
 CFLAGS += -DUSE_TIMERFD
 endif
 
@@ -45,7 +45,7 @@
 else
 CFLAGS += -g -O2 -fno-strict-aliasing
 endif
-CFLAGS += -Wall -Wstrict-prototypes -fPIC
+CFLAGS += -Wall -Wstrict-prototypes -Werror -fPIC
 CFLAGS += -DTGT_VERSION=\"$(VERSION)$(EXTRAVERSION)\"
 CFLAGS += -DBSDIR=\"$(DESTDIR)$(libdir)/backing-store\"

=== debian/changelog ===
tgt (1:1.0.80-1ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:35:04 +0000

tgt (1:1.0.80-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: avoid FTFBS on s390x due to glibc 2.32 triggering more
      gcc-10 errors on tgt build
  * Dropped changes:
    - Drop glusterfs support, package not in main.
      [tgt will be demoted after the new cinder-volume migrated]
      + debian/control: drop build depends and package
      + debian/rules: disable feature
      + debian/tests/{control, storage}: remove related tests
      + debian/tgt-glusterfs.install (Deleted)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 24 Feb 2021 13:00:56 +0100

tgt (1:1.0.80-1) unstable; urgency=medium

  * New upstream version 1.0.80
    + Fix build with GCC 10
    + Add helper to fill sense INFORMATION field
    + Set INFORMATION field on COMPARE AND WRITE miscompare
  * Drop patches merged upstream.
     - 0008-Fix-build-with-gcc-10.patch
     - 0009-Replace-__packed-with-__attribute__.patch

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 12 Nov 2020 18:56:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper-compat (= 13), libibverbs-dev, librdmacm-dev (>= 1.0.16),
-	       xsltproc, docbook-xsl, librbd-dev, uuid-dev,
+	       xsltproc, docbook-xsl, librbd-dev, libglusterfs-dev, uuid-dev,
                bash-completion, libsystemd-dev, libaio-dev, pkg-config
 Vcs-Git: https://salsa.debian.org/debian/tgt.git
 Vcs-Browser: https://salsa.debian.org/debian/tgt
@@ -15,7 +15,7 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, libconfig-general-perl, sg3-utils
 Pre-Depends: ${misc:Pre-Depends}
-Suggests: tgt-rbd
+Suggests: tgt-glusterfs, tgt-rbd
 Description: Linux SCSI target user-space daemon and tools
  The Linux target framework (tgt) allows a Linux system to provide SCSI
  devices (targets) over networked SCSI transports.
@@ -57,3 +57,26 @@
  .
  This package enables tgt to use Ceph/RADOS block devices (RBD) as backing
  store for SCSI Logical Units.
+
+Package: tgt-glusterfs
+Architecture: linux-any
+Depends: tgt (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Linux SCSI target user-space daemon and tools - GlusterFS support
+ The Linux target framework (tgt) allows a Linux system to provide SCSI
+ devices (targets) over networked SCSI transports.
+ .
+ tgt consists of a user-space daemon and user-space tools currently
+ supporting the following transports:
+ .
+  - iSCSI (SCSI over IP)
+  - iSER (iSCSI over RDMA, using Infiniband)
+ .
+ tgt also supports different storage types for use as backing stores for SCSI
+ Logical Units:
+ .
+  - Plain files and block devices
+  - Ceph/RADOS RBD volumes
+  - GlusterFS volumes
+ .
+ This package enables tgt to use GlusterFS volumes as backing store for SCSI
+ Logical Units.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-FEATURES = ISCSI_RDMA=1 CEPH_RBD=1 SD_NOTIFY=1
+FEATURES = ISCSI_RDMA=1 CEPH_RBD=1 GLFS_BD=1 SD_NOTIFY=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 # avoid FTFBS due to glibc 2.32 triggering more gcc-10 errors

## tgt 1.0.84

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.80
+VERSION ?= 1.0.84
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'

=== debian/changelog ===
tgt (1:1.0.84-1+rb3) unstable; urgency=medium

  * New upstream version 1.0.84:
    646aa73 fix use-after-free in iser_conn_free() (Closes: #1013052)
    9fd4a25 fix bug: target bound initiator-name but client cannot discovery
            the target device
    4c81b97 Remove clear non-existent directories: ibmvio, fc on "make clean"
            command
    7a2da00 Fix FMK and other flags
  * d/watch: relax tarball matching expression
  * Bump Standards-Version to 4.6.1; no changes needed
  * d/control: point Homepage to Github
  * Fix example location in manages (Closes: #979509)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 26 Sep 2022 15:14:57 +0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: tgt
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
+Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper-compat (= 13), libibverbs-dev, librdmacm-dev (>= 1.0.16),
 	       xsltproc, docbook-xsl, librbd-dev, libglusterfs-dev, uuid-dev,
                bash-completion, libsystemd-dev, libaio-dev, pkg-config
 Vcs-Git: https://salsa.debian.org/debian/tgt.git
 Vcs-Browser: https://salsa.debian.org/debian/tgt
-Standards-Version: 4.5.0
-Homepage: http://stgt.sourceforge.net/
+Standards-Version: 4.6.1
+Homepage: https://github.com/fujita/tgt
 
 Package: tgt
 Architecture: linux-any
